ALTER TABLE FB_LOCATION
ADD SEND_PAID_ORDER VARCHAR2(1 CHAR);

INSERT INTO PRINT_MODULI (MODULE_ID, OPIS, INTERNI_OPIS, CR_FILE) 
VALUES ('VOUCHER', 'Voucher', 'Voucher', 'C-Voucher.rpt');

ALTER TABLE FB_LOCATION
ADD SHOW_ORDER_FROM_RESERVATION VARCHAR2(1 CHAR) DEFAULT 'Y';

ALTER TABLE FB_LOCATION
ADD CREATE_RESERVATION_FROM_ORDER VARCHAR2(1 CHAR) DEFAULT 'Y';

CREATE OR REPLACE VIEW V_FB_ORDER
AS (
SELECT FO.ID_FB_ORDER, FO.ORDER_NUMBER, FO.ID_FB_TABLE, FO.ID_LASTNIKA, FO.ID_STATUS, FO.DATE_FROM, FO.DATE_TO, FO."COMMENT", FO.DATE_CREATED, FO.USER_CREATED, FO.ID_FB_RESERVATION, FO.ID_FB_LOCATION, 
FT.DESCRIPTION AS TABLE_DESCRIPTION, FL.DESCRIPTION AS AREA_DESCRIPTION, FOS.DESCRIPTION AS STATUS_DESCRIPTION, FOS.COLOR AS STATUS_COLOR, FOS.TEXT_COLOR AS STATUS_TEXT_COLOR, U.USER_ AS USER_NAME,
KUP.YACHT_CLUB_ID AS KUPCI_YACHT_CLUB_ID, FR.CREATED_FROM_ORDER AS RESERVATION_CREATED_FROM_ORDER,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KUP.IME || ' ' || KUP.PRIIMEK) ELSE (KUP.PRIIMEK || ' ' || KUP.IME) END) AS OWNER
FROM FB_ORDER FO
LEFT OUTER JOIN FB_TABLE FT ON FT.ID_FB_TABLE = FO.ID_FB_TABLE
LEFT OUTER JOIN FB_LOCATION FL ON FL.ID_FB_LOCATION = FO.ID_FB_LOCATION
LEFT OUTER JOIN FB_RESERVATION FR ON FR.ID_FB_RESERVATION = FO.ID_FB_RESERVATION
LEFT OUTER JOIN FB_ORDER_STATUS FOS ON FOS.ID_FB_ORDER_STATUS = FO.ID_STATUS
LEFT OUTER JOIN NUSER U ON U.NUSER = FO.USER_CREATED
LEFT OUTER JOIN KUPCI KUP ON KUP.ID = FO.ID_LASTNIKA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1859, SYSDATE, '5.5', 1779, 'Send paid order')
;

