Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS) values 
('M_STOMAR_LINK','SIFRA','M_NNSTOMAR','SIFRA','S','OPIS','S');

Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS) values 
('M_STOMAR_LINK','GEN_INSTR','M_NNSTOMAR','SIFRA','S','OPIS','S');

Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS) values 
('M_STOMAR_VIRI','SIFRA','M_NNSTOMAR','SIFRA','S','OPIS','S');

Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS) values 
('M_STOMAR_VIRI','VRSTA','VIRI_VRSTE','SIFRA','S','OPIS','S');

ALTER TABLE NNOBJEKT
ADD OBJECT_TYPE VARCHAR2(10 CHAR);

UPDATE NNOBJEKT 
SET OBJECT_TYPE='SEA'
WHERE (OBJECT_TYPE IS NULL) AND ((SIFRA IN ('SEA','MORE','MORJE')) OR (UPPER(INTERNI_OPIS)='SEA'));

UPDATE NNOBJEKT 
SET OBJECT_TYPE='LAND'
WHERE (OBJECT_TYPE IS NULL) AND ((SIFRA IN ('LAND','KOPNO','KOPN0')) OR (UPPER(INTERNI_OPIS)='LAND'));

UPDATE NNOBJEKT 
SET OBJECT_TYPE='HANGAR'
WHERE (OBJECT_TYPE IS NULL) AND ((SIFRA IN ('HANGAR','HANGER')) OR (UPPER(INTERNI_OPIS)='HANGAR'));

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNOBJEKT', 'OBJECT_TYPE', 'SEA', 'SEA', 'SEA', 'SEA', 'SEA');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNOBJEKT', 'OBJECT_TYPE', 'LAND', 'LAND', 'LAND', 'SEA', 'LAND');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNOBJEKT', 'OBJECT_TYPE', 'HANGAR', 'HANGAR', 'HANGAR', 'SEA', 'HANGAR');

DROP VIEW V_REZERVAC;

CREATE VIEW V_REZERVAC AS (
SELECT R.ID, 0 AS PRISOTNO, R.DATUM_REZERVACIJE, R.DATUM_DO, R.ID_LASTNIKA, R.ID_PLOVILA, R.NAZIV, R.PLOVILO, NP.OBJEKT AS NOBJEKT, NP.N_PRIVEZA AS PRIVEZ, NP.ID_PRIVEZ
, R.DOLZINA, R.SIRINA, R.GREZ, '' AS NTIP 
FROM REZERVAC R 
LEFT OUTER JOIN NNPRIVEZ NP ON R.NOBJEKT=NP.OBJEKT AND R.PRIVEZ=NP.N_PRIVEZA 
WHERE R.STORNO IS NULL AND R.DATUM_DO IS NOT NULL
UNION ALL
SELECT 0 as ID, (CASE WHEN T.ID_PRIVEZ=PR.ID_PRIVEZ THEN 1 ELSE 0 END) AS PRISOTNO, 
(CASE WHEN T.ID_PRIVEZ=PR.ID_PRIVEZ THEN NVL(P.TRENUTNO_DO, TRUNC(SYSDATE)) ELSE TRUNC(SYSDATE+1) END) AS DATUM_REZERVACIJE, 
NVL(POG.DATUM_KONCA, TRUNC(SYSDATE)+365) AS DATUM_DO, 
POG.ID_LASTNIKA, POG.ID_PLOVILA, K.PRIIMEK AS NAZIV, P.IME AS PLOVILO, NP.OBJEKT AS NOBJEKT, NP.N_PRIVEZA AS PRIVEZ, NP.ID_PRIVEZ 
, P.DOLZINA, P.SIRINA, P.GREZ, P.NTIP 
FROM M_POGODBE POG 
JOIN PRIVEZI PR ON PR.ID_POGODBE=POG.ID_POGODBE
JOIN PLOVILA P ON POG.ID_PLOVILA=P.ID
JOIN KUPCI K ON POG.ID_LASTNIKA=K.ID 
LEFT OUTER JOIN NNPRIVEZ NP ON PR.ID_PRIVEZ=NP.ID_PRIVEZ 
LEFT OUTER JOIN PRIVEZI T ON T.ID_PLOVILA=POG.ID_PLOVILA AND T.ID_POGODBE IS NULL AND T.ID_PRIVEZ=PR.ID_PRIVEZ
WHERE POG.STATUS IN ('O', 'A')
UNION ALL
SELECT 0 as ID, 1 AS PRISOTNO, TRUNC(SYSDATE) AS DATUM_REZERVACIJE, 
TRUNC(SYSDATE) AS DATUM_DO, 
POG.ID_LASTNIKA, POG.ID_PLOVILA, K.PRIIMEK AS NAZIV, P.IME AS PLOVILO, NP.OBJEKT AS NOBJEKT, NP.N_PRIVEZA AS PRIVEZ, NP.ID_PRIVEZ 
, P.DOLZINA, P.SIRINA, P.GREZ, P.NTIP 
FROM M_POGODBE POG 
JOIN PRIVEZI PR ON PR.ID_POGODBE=POG.ID_POGODBE
JOIN PLOVILA P ON POG.ID_PLOVILA=P.ID
JOIN KUPCI K ON POG.ID_LASTNIKA=K.ID 
JOIN PRIVEZI T ON T.ID_PLOVILA=POG.ID_PLOVILA AND T.ID_POGODBE IS NULL AND T.ID_PRIVEZ<>PR.ID_PRIVEZ
JOIN NNPRIVEZ NP ON T.ID_PRIVEZ=NP.ID_PRIVEZ 
WHERE POG.STATUS IN ('O', 'A') AND ((P.TRENUTNI_OBJEKT_PRIVEZA<>P.POGODBENI_OBJEKT_PRIVEZA) OR (P.TRENUTNA_N_PRIVEZA<>P.POGODBENA_N_PRIVEZA))
UNION ALL
SELECT -1 as ID, 1 AS PRISOTNO, TRUNC(SYSDATE) AS DATUM_REZERVACIJE, 
(CASE WHEN P.TRENUTNO_DO>TRUNC(SYSDATE) THEN P.TRENUTNO_DO ELSE TRUNC(SYSDATE) END) AS DATUM_DO, 
P.ID_LASTNIKA, P.ID AS ID_PLOVILA, K.PRIIMEK AS NAZIV, P.IME AS PLOVILO, NP.OBJEKT AS NOBJEKT, NP.N_PRIVEZA AS PRIVEZ, NP.ID_PRIVEZ
, P.DOLZINA, P.SIRINA, P.GREZ, P.NTIP 
FROM PLOVILA P 
JOIN PRIVEZI PR ON PR.ID_PLOVILA=P.ID
JOIN KUPCI K ON P.ID_LASTNIKA=K.ID
LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ=PR.ID_PRIVEZ 
WHERE (PR.ID_POGODBE IS NULL) AND 
(P.ID NOT IN (SELECT ID_PLOVILA FROM M_POGODBE WHERE STATUS IN ('O', 'A')))
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (302, SYSDATE, '5.5', 222, 'V_REZERVAC');