ALTER TABLE OPOMINI ADD (ID_OPOMINI NUMBER);

CREATE SEQUENCE OPOMINI_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;

UPDATE OPOMINI 
SET ID_OPOMINI = OPOMINI_SEQ.NEXTVAL
WHERE ID_OPOMINI IS NULL;

ALTER TABLE OPOMINI ADD (
CONSTRAINT OPOMINI_UNIQUE_CS UNIQUE (ID_OPOMINI));

CREATE OR REPLACE
TRIGGER OPOMINI_TRG
BEFORE INSERT
ON OPOMINI
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN
	IF (:NEW.ID_OPOMINI IS NULL) THEN
          SELECT OPOMINI_SEQ.NEXTVAL INTO :NEW.ID_OPOMINI FROM DUAL;;
	END IF;;
END;;
;

CREATE OR REPLACE VIEW V_KUPCI_EMAIL
AS (
SELECT O.ID_OPOMINI AS ID, K.ID AS KUPCI_ID, K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, K.ID_MEMBER AS KUPCI_ID_MEMBER, E.ID_EMAIL AS EMAIL_ID_EMAIL, E.DATUM_KREIRANJA AS EMAIL_DATUM_KREIRANJA, E.USER_KREIRANJA AS EMAIL_USER_KREIRANJA,
E.TEKST AS EMAIL_TEKST, E.ZADEVA AS EMAIL_ZADEVA, E.POSILJATELJ AS EMAIL_POSILJATELJ, E.PREJEMNIK AS EMAIL_PREJEMNIK, E.STATUS AS EMAIL_STATUS, E.DATUM_POSILJANJA AS EMAIL_DATUM_POSILJANJA, E.AVTOMATSKO_KREIRANJE
AS EMAIL_AVTOMATSKO_KREIRANJE, E.PREJEMNIK_CC AS EMAIL_PREJEMNIK_CC, E.PREJEMNIK_BCC AS EMAIL_PREJEMNIK_BCC
FROM OPOMINI O
LEFT OUTER JOIN KUPCI K ON K.ID = O.ID_KUPCA
LEFT OUTER JOIN EMAILS E ON E.ID_EMAIL = O.ID_EMAIL
WHERE O.NPISMO = (SELECT NPISMO FROM NPISMO N WHERE N.NPISMO_TYPE = 'EMAIL')
);

CREATE TABLE NNID (
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT NNID_PK PRIMARY KEY (SIFRA)
);

INSERT INTO NNID(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('OWN', 'Owner ID', 'Owner ID', 'Y');

INSERT INTO NNID(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('BOA', 'Boat ID', 'Boat ID', 'Y');

ALTER TABLE QUERY_COLUMN
ADD ID_TYPE VARCHAR2(3 CHAR);

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(539, SYSDATE, '5.5', 459, 'Kupci email');
